<?php

namespace App\Models;

use App\Traits\Blameable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Altek\Accountant\Contracts\Recordable;

class CorporateFormularium extends Model
{
    use HasFactory, SoftDeletes, Blameable;

    protected $table = 'corporate_formulariums';

    protected $fillable = [
        'corporate_id',
        'formularium_template_id',
        'active'
    ];

    public function corporate()
    {
        return $this->belongsTo(Corporate::class);
    }

    public function formularium_template()
    {
        return $this->belongsTo(FormulariumTemplate::class);
    }
}
